org.eclipse.jetty.webapp

## Class FragmentDescriptor

- java.lang.Object
- - org.eclipse.jetty.webapp.Descriptor
  - - org.eclipse.jetty.webapp.WebDescriptor
    - - org.eclipse.jetty.webapp.FragmentDescriptor

    public class FragmentDescriptor
    extends WebDescriptor

Fragment A web-fragment.xml descriptor.

### Nested Class Summary

Nested Classes
`static class` `FragmentDescriptor.OtherType`

### Field Summary

Fields
`protected List<String>` `_afters`
`protected List<String>` `_befores`
`protected static int` `_counter`
`protected String` `_name`
`protected FragmentDescriptor.OtherType` `_otherType`
`static String` `NAMELESS`

### Fields inherited from class org.eclipse.jetty.webapp.WebDescriptor

`_classNames, _distributable, _isOrdered, _majorVersion, _metaDataComplete, _minorVersion, _ordering, _parserSingleton`

### Fields inherited from class org.eclipse.jetty.webapp.Descriptor

`_parser, _root, _validating, _xml`

### Constructor Summary

Constructors
Constructor and Description
`FragmentDescriptor(Resource xml)`

### Method Summary

Methods
`List<String>` `getAfters()`
`List<String>` `getBefores()`
`String` `getName()`
`List<String>` `getOrdering()`
`FragmentDescriptor.OtherType` `getOtherType()`
`void` `parse()`
`void` `processAfters(XmlParser.Node ordering)`
`void` `processBefores(XmlParser.Node ordering)`
`void` `processName()`
`void` `processOrdering()`

### Methods inherited from class org.eclipse.jetty.webapp.WebDescriptor

`addClassName, ensureParser, getClassNames, getMajorVersion, getMetaDataComplete, getMinorVersion, isDistributable, isOrdered, newParser, processVersion, setDistributable, setValidating`

### Methods inherited from class org.eclipse.jetty.webapp.Descriptor

`getResource, getRoot, redirect, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### NAMELESS

    public static final String NAMELESS

See Also:
  Constant Field Values

#### _counter

    protected static int _counter

#### _otherType

    protected FragmentDescriptor.OtherType _otherType

#### _befores

    protected List<String> _befores

#### _afters

    protected List<String> _afters

#### _name

    protected String _name

### Constructor Detail

#### FragmentDescriptor

    public FragmentDescriptor(Resource xml)
                       throws Exception

Throws:
  `Exception`

### Method Detail

#### getName

    public String getName()

#### parse

    public void parse()
               throws Exception

Overrides:
  `parse` in class `WebDescriptor`
Throws:
  `Exception`

#### processName

    public void processName()

#### processOrdering

    public void processOrdering()

Overrides:
  `processOrdering` in class `WebDescriptor`

#### processBefores

    public void processBefores(XmlParser.Node ordering)

#### processAfters

    public void processAfters(XmlParser.Node ordering)

#### getBefores

    public List<String> getBefores()

#### getAfters

    public List<String> getAfters()

#### getOtherType

    public FragmentDescriptor.OtherType getOtherType()

#### getOrdering

    public List<String> getOrdering()

Overrides:
  `getOrdering` in class `WebDescriptor`